## r-cran-forcats 0.3.0

=== DESCRIPTION ===
Package: forcats
Title: Tools for Working with Categorical Variables (Factors)
Version: 0.3.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Helpers for reordering factor levels (including moving
    specified levels to front, ordering by first appearance, reversing, and
    randomly shuffling), and tools for modifying factor levels (including
    collapsing rare levels into other, 'anonymising', and manually 'recoding').
License: GPL-3
URL: http://forcats.tidyverse.org, https://github.com/tidyverse/forcats
BugReports: https://github.com/tidyverse/forcats/issues
Depends: R (>= 3.1)
Imports: magrittr, rlang, tibble
Suggests: covr, ggplot2, testthat
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-02-19 17:34:45 UTC; hadley
Author: Hadley Wickham [aut, cre],
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2018-02-19 19:43:26 UTC

=== debian/changelog ===
r-cran-forcats (0.3.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

  * debian/control: Add new (Build-)Depends: on r-cran-rlang

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Feb 2018 07:07:18 -0600

r-cran-forcats (0.2.0-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #878676)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Oct 2017 13:02:31 -0500

=== debian/control ===
Source: r-cran-forcats
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.3), cdbs, r-cran-tibble, r-cran-magrittr, r-cran-rlang
Standards-Version: 4.1.3
Homepage: https://github.com/tidyverse/forcats

Package: r-cran-forcats
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, r-cran-tibble, r-cran-magrittr, r-cran-rlang
Description: GNU R package for working with categorical variables (factors)
 The package offers helpers for reordering factor levels (including moving
 specified levels to front, ordering by first appearance, reversing, and
 randomly shuffling), and tools for modifying factor levels (including
 collapsing rare levels into other, 'anonymising', and manually 'recoding').

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-forcats package
# Copyright 2003-2017 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

## r-cran-forcats 0.4.0

=== DESCRIPTION ===
Package: forcats
Title: Tools for Working with Categorical Variables (Factors)
Version: 0.4.0
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Helpers for reordering factor levels (including
    moving specified levels to front, ordering by first appearance,
    reversing, and randomly shuffling), and tools for modifying factor
    levels (including collapsing rare levels into other, 'anonymising',
    and manually 'recoding').
License: GPL-3
URL: http://forcats.tidyverse.org, https://github.com/tidyverse/forcats
BugReports: https://github.com/tidyverse/forcats/issues
Depends: R (>= 3.1)
Imports: ellipsis, magrittr, rlang, tibble
Suggests: covr, ggplot2, testthat, readr, knitr, rmarkdown, dplyr
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-02-17 14:15:34 UTC; hadley
Author: Hadley Wickham [aut, cre],
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2019-02-17 14:40:02 UTC

=== debian/changelog ===
r-cran-forcats (0.4.0-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Aug 2019 06:49:45 -0500

r-cran-forcats (0.4.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

  * debian/control: New (Build-)Depends: r-cran-ellipsis now in Debian

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 31 Mar 2019 11:08:48 -0500

r-cran-forcats (0.3.0-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Jun 2018 20:52:22 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.3), cdbs, r-cran-tibble, r-cran-magrittr, r-cran-rlang
-Standards-Version: 4.1.3
-Homepage: https://github.com/tidyverse/forcats
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-tibble, r-cran-magrittr, r-cran-rlang, r-cran-ellipsis
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/edd/r-cran-forcats
+Vcs-Git: https://salsa.debian.org/edd/r-cran-forcats.git
+Homepage: https://cran.r-project.org/package=forcats
 
 Package: r-cran-forcats
 Architecture: all

## r-cran-forcats 0.5.0

=== debian/changelog ===
r-cran-forcats (0.5.0-2) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 May 2020 17:34:03 -0500

r-cran-forcats (0.5.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 05 Mar 2020 13:24:11 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-tibble, r-cran-magrittr, r-cran-rlang, r-cran-ellipsis
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-tibble, r-cran-magrittr, r-cran-rlang, r-cran-ellipsis
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-forcats
 Vcs-Git: https://salsa.debian.org/edd/r-cran-forcats.git
 Homepage: https://cran.r-project.org/package=forcats

## r-cran-forcats 0.5.1

=== DESCRIPTION ===
Package: forcats
Title: Tools for Working with Categorical Variables (Factors)
Version: 0.5.1
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Helpers for reordering factor levels (including
    moving specified levels to front, ordering by first appearance,
    reversing, and randomly shuffling), and tools for modifying factor
    levels (including collapsing rare levels into other, 'anonymising',
    and manually 'recoding').
License: MIT + file LICENSE
URL: https://forcats.tidyverse.org,
        https://github.com/tidyverse/forcats
BugReports: https://github.com/tidyverse/forcats/issues
Depends: R (>= 3.2)
Imports: ellipsis, magrittr, rlang, tibble
Suggests: covr, dplyr, ggplot2, knitr, readr, rmarkdown, testthat
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-01-27 18:16:43 UTC; hadley
Author: Hadley Wickham [aut, cre],
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2021-01-27 19:50:02 UTC

=== debian/changelog ===
r-cran-forcats (0.5.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 27 Jan 2021 22:51:08 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-tibble, r-cran-magrittr, r-cran-rlang, r-cran-ellipsis
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r, r-cran-tibble, r-cran-magrittr, r-cran-rlang, r-cran-ellipsis
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-forcats
 Vcs-Git: https://salsa.debian.org/edd/r-cran-forcats.git
 Homepage: https://cran.r-project.org/package=forcats

## r-cran-forcats 0.5.2

=== debian/changelog ===
r-cran-forcats (0.5.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

  * debian/control: Add r-cran-withr, r-cran-cli, r-cran-glue,
    r-cran-lifecycle to (Build-)Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Aug 2022 13:05:36 -0500

=== debian/control ===
Source: r-cran-forcats
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-tibble, r-cran-magrittr, r-cran-rlang, r-cran-ellipsis, r-cran-withr, r-cran-cli, r-cran-glue, r-cran-lifecycle
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-forcats
Vcs-Git: https://salsa.debian.org/edd/r-cran-forcats.git
Homepage: https://cran.r-project.org/package=forcats

Package: r-cran-forcats
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, r-cran-tibble, r-cran-magrittr, r-cran-rlang, r-cran-ellipsis, r-cran-withr, r-cran-cli, r-cran-glue, r-cran-lifecycle
Description: GNU R package for working with categorical variables (factors)
 The package offers helpers for reordering factor levels (including moving
 specified levels to front, ordering by first appearance, reversing, and
 randomly shuffling), and tools for modifying factor levels (including
 collapsing rare levels into other, 'anonymising', and manually 'recoding').

## r-cran-forcats 1.0.0

=== DESCRIPTION ===
Package: forcats
Title: Tools for Working with Categorical Variables (Factors)
Version: 1.0.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Helpers for reordering factor levels (including moving
    specified levels to front, ordering by first appearance, reversing,
    and randomly shuffling), and tools for modifying factor levels
    (including collapsing rare levels into other, 'anonymising', and
    manually 'recoding').
License: MIT + file LICENSE
URL: https://forcats.tidyverse.org/,
        https://github.com/tidyverse/forcats
BugReports: https://github.com/tidyverse/forcats/issues
Depends: R (>= 3.4)
Imports: cli (>= 3.4.0), glue, lifecycle, magrittr, rlang (>= 1.0.0),
        tibble
Suggests: covr, dplyr, ggplot2, knitr, readr, rmarkdown, testthat (>=
        3.0.0), withr
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-01-27 14:11:11 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2023-01-29 22:20:02 UTC

=== debian/changelog ===
r-cran-forcats (1.0.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 Feb 2023 11:58:16 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-tibble, r-cran-magrittr, r-cran-rlang, r-cran-ellipsis, r-cran-withr, r-cran-cli, r-cran-glue, r-cran-lifecycle
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-tibble, r-cran-magrittr, r-cran-rlang, r-cran-ellipsis, r-cran-withr, r-cran-cli, r-cran-glue, r-cran-lifecycle
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-forcats
 Vcs-Git: https://salsa.debian.org/edd/r-cran-forcats.git
 Homepage: https://cran.r-project.org/package=forcats

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-forcats package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-forcats 1.0.1

=== DESCRIPTION ===
Package: forcats
Title: Tools for Working with Categorical Variables (Factors)
Version: 1.0.1
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "03wc8by49"))
  )
Description: Helpers for reordering factor levels (including moving
    specified levels to front, ordering by first appearance, reversing,
    and randomly shuffling), and tools for modifying factor levels
    (including collapsing rare levels into other, 'anonymising', and
    manually 'recoding').
License: MIT + file LICENSE
URL: https://forcats.tidyverse.org/,
        https://github.com/tidyverse/forcats
BugReports: https://github.com/tidyverse/forcats/issues
Depends: R (>= 4.1)
Imports: cli (>= 3.4.0), glue, lifecycle, magrittr, rlang (>= 1.0.0),
        tibble
Suggests: covr, dplyr, ggplot2, knitr, readr, rmarkdown, testthat (>=
        3.0.0), withr
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.3
NeedsCompilation: no
Packaged: 2025-09-24 17:08:21 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2025-09-25 05:10:20 UTC

=== debian/changelog ===
r-cran-forcats (1.0.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 26 Sep 2025 20:50:33 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-tibble, r-cran-magrittr, r-cran-rlang, r-cran-ellipsis, r-cran-withr, r-cran-cli, r-cran-glue, r-cran-lifecycle
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.1), dh-r, r-cran-tibble, r-cran-magrittr, r-cran-rlang, r-cran-ellipsis, r-cran-withr, r-cran-cli, r-cran-glue, r-cran-lifecycle
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-forcats
 Vcs-Git: https://salsa.debian.org/edd/r-cran-forcats.git
 Homepage: https://cran.r-project.org/package=forcats

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/forcats_([-\d\.]*)\.tar.gz
